View Issue Details

IDProjectCategoryView StatusLast Update
0002978FreeCADBugpublic2017-07-15 10:57
Reporterr-frankAssigned ToKunda1 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformOSWindowsOS Version7 64-bit
Product Version0.16 
Target VersionFixed in Version0.17 
Summary0002978: Loading spreadsheet-document ignores rows >AA
DescriptionCreating spreadsheet document with information in rows bigger than AA
will save the information to disk.
But closing the document and re-opening it will ignore the rows >AA upon loading.
Steps To ReproduceSee description
Additional Informationsee discussion thread in german sub-forum
Tagsspreadsheet

Activities

Kunda1

2017-03-21 12:29

manager   ~0008675

CC @eivindkvedalen

ulrich1a

2017-03-21 20:59

reporter   ~0008684

The problem seems to be that the column address "AB" is converted in some places to "BA". This is visible, if an alias is created for a cell in this column range. The yellow color of an alias at "AB1" can be found at the cell "BA1". The same "address-conversion" can be found for aliases in the document.xml in the FreeCAD-document. But I am not a C++-programmer able to find the responsible code for this problem.

gift

2017-03-21 21:41

reporter   ~0008685

abc = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'
for i in range(0,26):
    txt = abc[i] * 2
    App.ActiveDocument.Spreadsheet.set(txt+'1', txt)

App.ActiveDocument.recompute()


The same situation.

gift

2017-03-21 21:58

reporter   ~0008686

Oops. My script works fine. Sry.

ulrich1a

2017-04-02 20:35

reporter   ~0008749

Made a pullrequest to fix the issue: https://github.com/FreeCAD/FreeCAD/pull/669

Kunda1

2017-04-25 11:45

manager   ~0008750

Resolved by ulrich1 in:
c:FreeCAD:42efec9b23ee68fa270cb563fe5d85af8ff1fdd1:
c:FreeCAD:e58b74793a128ea7e0f8380cba77b8273ecd39f3:

Bugtracker Note: once source-integration plugin is up-to-date then attach commits to this ticket and close.

Issue History

Date Modified Username Field Change
2017-03-21 10:39 r-frank New Issue
2017-03-21 10:39 r-frank Tag Attached: spreadsheet
2017-03-21 12:29 Kunda1 Note Added: 0008675
2017-03-21 20:59 ulrich1a Note Added: 0008684
2017-03-21 21:41 gift Note Added: 0008685
2017-03-21 21:58 gift Note Added: 0008686
2017-04-02 20:35 ulrich1a Note Added: 0008749
2017-04-25 11:45 Kunda1 Status new => resolved
2017-04-25 11:45 Kunda1 Resolution open => fixed
2017-04-25 11:45 Kunda1 Fixed in Version => 0.17
2017-04-25 11:45 Kunda1 Note Added: 0008750
2017-07-15 10:57 Kunda1 Assigned To => Kunda1
2017-07-15 10:57 Kunda1 Status resolved => closed